#	This file must be customized when the CODE-1 Plus is installed.  
#       Then it must be sourced using the shell built-in command "." 
#       to set up the environment for the CODE-1 Plus activity
#	each time you log in to your UNIX system.
#
# NOTE: This file is for Bourne type shells; e.g., sh, ksh, bash.
#	For C-shell, use the bin/setup.csh file.
#
#	The following variables must almost always be changed:

G1SYS="AIX"
export G1SYS

G1DIR="/12a2/group1"                 # Full path to Group 1 tree
export G1DIR

#	The remaining lines do not normally need to be changed.
#	You may want to delete any that are already defined for
#	your environment by your system administrator, such as
#	G1RTS or LD_LIBRARY_PATH.  If you have any questions,
#	please contact your system administrator first, then
#	if necessary, contact Group 1 Software Technical Support.
#

G1RTS="/12a2/group1/g1rts"
export G1RTS

G1PROD="c1p"
export G1PROD

G1PRODNAME="CODE-1 Plus"       
export G1PRODNAME

# Full path to CODE-1 Plus tree
G1C1P="${G1DIR}/${G1PROD}"
export G1C1P

G1C1PDB='/12a2/group1/c1p/db';   export G1C1PDB
export G1C1PDB

G1MAIL=`logname`	       	# User to be notified of EOJ by mail
export G1MAIL

G1TMP="$G1C1P"			# Full path to temp space
export G1TMP

G1JOB="ocflc1"
export G1JOB

# System dependent environment variables which may or may not be set
# in the following case statement:
#
#   LD_LIBRARY_PATH:	Paths to shared libraries
#   LIBPATH=:		AIX Library Path Variable
#   G1ECHO:		Name of SVR4 echo command
#   G1CP:		cp command string that retains timestamps

if [ "$LD_LIBRARY_PATH" != '' ]
then LD_LIBRARY_PATH=$G1RTS/lib:$G1C1P/lib:${LD_LIBRARY_PATH}
else LD_LIBRARY_PATH=$G1RTS/lib:$G1C1P/lib
fi
export LD_LIBRARY_PATH

if [ "$G1SYS" = "HPUX" ]
then
   if [ "$SHLIB_PATH" != '' ]
   then SHLIB_PATH=$G1RTS/lib:$G1C1P/lib:${SHLIB_PATH}      
   else SHLIB_PATH=$G1RTS/lib:$G1C1P/lib
   fi
   export SHLIB_PATH
fi

if [ "$LIBPATH" != '' ]
then LIBPATH=$G1RTS/lib:/lib:/usr/lib:$G1C1P/lib:$LIBPATH
else LIBPATH=$G1RTS/lib:/lib:/usr/lib:$G1C1P/lib
fi
export LIBPATH

# Setup the echo command for stdout
case $G1SYS in
        SOLARIS|SUNBSD|SunOS) G1ECHO="/usr/5bin/echo"
        ;;
        LINUX)          G1ECHO="echo -e"
        ;;
        *)              G1ECHO="echo"
        ;;
esac
export G1ECHO

G1CP='cp -p' 
export G1CP

G1PRODPATH=$G1C1P              
export G1PRODPATH

# AcuCOBOL-specific configuration =============================
. $G1PRODPATH/bin/setuprts 
case $G1SYS in
        HPUX) SHARED_LIBRARY_LIST=$SHARED_LIBRARY_LIST:libg1DPV.sl:libg1LACS.sl ;;
           *) SHARED_LIBRARY_LIST=$SHARED_LIBRARY_LIST:libg1DPV.so:libg1LACS.so ;;
esac
export SHARED_LIBRARY_LIST

# For LOT Processing
REL_DELETED_VALUE=5
export REL_DELETED_VALUE

WARNINGS=0
export WARNINGS

PATH=$G1RTS/bin:$PATH;          export PATH
